{ lib, ... }:
{
  services = {
    kmscon.enable = lib.mkForce false;
    
    # configure pipewire
    pipewire = {
      enable = lib.mkDefault true;
      alsa.enable = lib.mkDefault true;
      alsa.support32Bit = lib.mkDefault true;
      pulse.enable = lib.mkDefault true;
    };

    # Enable CUPS to print documents.
    printing.enable = lib.mkDefault true;
  };
}
